nlohmann::detail::external_constructor< value_t::number_float > Struct Template Reference

`#include <json.hpp>`

Collaboration diagram for nlohmann::detail::external_constructor< value_t::number_float >:

## Static Public Member Functions

template<typename BasicJsonType >
static void | construct (BasicJsonType &j, typename BasicJsonType::number_float_t val) noexcept

## Detailed Description

### template<>
struct nlohmann::detail::external_constructor< value_t::number_float >

Definition at line 4546 of file json.hpp.

## Member Function Documentation

## construct()

template<typename BasicJsonType >

static void nlohmann::detail::external_constructor< value_t::number_float >::construct | ( | BasicJsonType & | j,
|  | typename BasicJsonType::number_float_t | val
| ) |  |

inline static noexcept

Definition at line 4549 of file json.hpp.

References nlohmann::detail::number_float.

The documentation for this struct was generated from the following file:

- json.hpp